Plank.DockTheme.create_background – plank Reference Manual

# create_background

## Description:

public Surface create_background (int width, int height, PositionType position, Surface model)

Creates a surface for the dock background.

## Parameters:

width | the width of the background
height | the height of the background
position | the position of the dock
model | existing surface to use as basis of new surface

## Returns:

a new surface with the background drawn on it